AbstractSVMTarget (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.AbstractSVMTarget class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class AbstractSVMTarget

    java.lang.Object
      org.biojava.stats.svm.AbstractSVMTarget

All Implemented Interfaces:
  SVMTarget

    public abstract class AbstractSVMTarget

extends Object
implements SVMTarget

An abstract implementation of an SVMModel.

You only need implement items, itemTargets and getTarget to make a read-only implementation.

Author:
  Matthew Pocock

Constructor Summary
`AbstractSVMTarget()`

Method Summary
`void` | `addItem(Object item)`
`void` | `addItemTarget(Object item, double target)`
`void` | `clear()`
`void` | `removeItem(Object item)`
`void` | `setTarget(Object item, double target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.stats.svm.SVMTarget
`getTarget, items, itemTargets`

Constructor Detail

### AbstractSVMTarget

    public AbstractSVMTarget()

Method Detail

### setTarget

    public void setTarget(Object item,
                          double target)
                   throws UnsupportedOperationException

  Specified by:
    `setTarget` in interface `SVMTarget`
  Throws:
    `UnsupportedOperationException`

### addItem

    public void addItem(Object item)
                 throws UnsupportedOperationException

  Specified by:
    `addItem` in interface `SVMTarget`
  Throws:
    `UnsupportedOperationException`

### addItemTarget

    public void addItemTarget(Object item,
                              double target)
                       throws UnsupportedOperationException

  Specified by:
    `addItemTarget` in interface `SVMTarget`
  Throws:
    `UnsupportedOperationException`

### removeItem

    public void removeItem(Object item)
                    throws UnsupportedOperationException

  Specified by:
    `removeItem` in interface `SVMTarget`
  Throws:
    `UnsupportedOperationException`

### clear

    public void clear()
               throws UnsupportedOperationException

  Specified by:
    `clear` in interface `SVMTarget`
  Throws:
    `UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD